# class XmlDeclaration | Xml Declaration. More...
Full name | `TelEngine::XmlDeclaration`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::XmlChild [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlDeclaration (const char* version = "1.0", const char* enc = "utf-8")
- XmlDeclaration (const NamedList& decl)
- XmlDeclaration (const XmlDeclaration& orig)
- ~XmlDeclaration ()
- inline const NamedList& getDec () const
- virtual XmlDeclaration* xmlDeclaration ()
- void toString (String& dump, bool escape = true) const

## Detailed Description

Xml Declaration for Xml document

XmlDeclaration (const char* version = "1.0", const char* enc = "utf-8") | ### XmlDeclaration

Constructor

Parameters:

version | XML version attribute
enc | Encoding attribute

XmlDeclaration (const NamedList& decl) | ### XmlDeclaration

Constructor

Parameters:

decl | Declaration attributes

XmlDeclaration (const XmlDeclaration& orig) | ### XmlDeclaration

Copy constructor

Parameters:

orig | Original XmlDeclaration

~XmlDeclaration () | ### ~XmlDeclaration

Destructor

inline const NamedList& getDec () | ### getDec

[const]

Obtain the tag name and attributes list

Returns: The declaration

XmlDeclaration* xmlDeclaration () | ### xmlDeclaration

[virtual]

Get the Xml declaration

Returns: This object Reimplemented from XmlChild

Reimplemented from XmlChild.

void toString (String& dump, bool escape = true) | ### toString

[const]

Build a String from this XmlDeclaration

Parameters:

dump | The string where to append representation
escape | True if the attributes values need to be escaped

Reimplemented from GenObject.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.